AntiFeatures:
  - Tracking
  - NonFreeNet
  - NSFW
Categories:
  - Internet
License: Apache-2.0
SourceCode: https://github.com/Dar9586/NClientV2
IssueTracker: https://github.com/Dar9586/NClientV2/issues
Changelog: https://github.com/Dar9586/NClientV2/releases

AutoName: NClientV2

RepoType: git
Repo: https://github.com/Dar9586/NClientV2

Builds:
  - versionName: 2.0.5
    versionCode: 205
    commit: 2.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.3
    versionCode: 243
    commit: 2.4.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.4.5
    versionCode: 245
    commit: 2.4.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.4.6
    versionCode: 246
    commit: 2.4.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.4.8
    versionCode: 248
    commit: 2.4.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.4.9
    versionCode: 249
    commit: 2.4.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.0
    versionCode: 250
    commit: 2.5.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.1
    versionCode: 251
    commit: 2.5.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.3
    versionCode: 253
    commit: 2.5.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.4
    versionCode: 254
    commit: 2.5.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.6
    versionCode: 256
    commit: 2.5.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.7
    versionCode: 257
    commit: 2.5.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.8
    versionCode: 258
    commit: 2.5.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.5.9
    versionCode: 259
    commit: 2.5.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.0
    versionCode: 260
    commit: 2.6.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.2
    versionCode: 262
    commit: 2.6.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.3
    versionCode: 263
    commit: 2.6.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.4
    versionCode: 264
    commit: 2.6.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.5
    versionCode: 265
    commit: 2.6.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.6
    versionCode: 266
    commit: 2.6.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.8
    versionCode: 268
    commit: 2.6.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.6.9
    versionCode: 269
    commit: 2.6.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.7.1
    versionCode: 271
    commit: 2.7.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.7.2
    versionCode: 272
    commit: 2.7.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e 's/6.4-rc-4-all/6.4-all/' -e '/Sha256Sum/d' ../gradle/wrapper/gradle-wrapper.properties

  - versionName: 2.7.6-stable-release
    versionCode: 276
    commit: 2.7.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.0-stable-release
    versionCode: 280
    commit: 2.8.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.1-stable-release
    versionCode: 281
    commit: 2.8.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.2-stable-release
    versionCode: 282
    commit: 2.8.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.3-stable-release
    versionCode: 283
    commit: 2.8.3
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.4-stable-release
    versionCode: 284
    commit: 2.8.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.8.5-stable-release
    versionCode: 285
    commit: 2.8.5
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.8.6-stable-release
    versionCode: 286
    commit: 2.8.6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.8.7-stable-release
    versionCode: 287
    commit: 2.8.7
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.8.8-stable-release
    versionCode: 288
    commit: 2.8.8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.8.9-stable-release
    versionCode: 289
    commit: 2.8.9
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.0-stable-release
    versionCode: 290
    commit: 2.9.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.1-stable-release
    versionCode: 291
    commit: 2.9.1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.2-stable-release
    versionCode: 292
    commit: 3ce600c8b62270bc13bdcca96f658e68220722f0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.3-stable-release
    versionCode: 293
    commit: 2.9.3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.4-stable-release
    versionCode: 294
    commit: 2.9.4
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.9.6-stable-release
    versionCode: 296
    commit: 2.9.6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

MaintainerNotes: UpdateCheckMode stays as HTTP as beta version are not reflected in
    git tags.

AutoUpdateMode: Version +-stable-release %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/Dar9586/NClientV2/master/app/build.gradle|versionCode\s+(\d+)|.|versionName\s"([\d.]+)-stable"
CurrentVersion: 2.9.6
CurrentVersionCode: 296
